mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The attributes are combined using the bitwise OR operation as follows:

Code implementation masks:

CodeTypeMask

IL

Native

OPTIL

Runtime

Managed masks:

ManagedMask

Unmanaged

Managed

Implementation information and interop masks:

ForwardRef

PreserveSig

InternalCall

Synchronized

NoInlining

NoOptimization

MaxMethodImplVal

Locking on the instance or on the type, as with the flag, is not recommended for public types, because code other than your own can take locks on public types and instances. This might cause deadlocks or other synchronization problems.

Specifies flags for the attributes of a method implementation.

- Field
  4.0.0.0
  System.Reflection.MethodImplAttributes

  Specifies that the method should be inlined wherever possible.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies flags about code type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method is not defined.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method implementation is in Microsoft intermediate language (MSIL).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies an internal call.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method is implemented in managed code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies whether the method is implemented in managed or unmanaged code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies a range check value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method implementation is native.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method cannot be inlined.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes

  Specifies that the method is not optimized by the just-in-time (JIT) compiler or by native code generation (see Ngen.exe) when debugging possible code generation problems.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method implementation is in Optimized Intermediate Language (OPTIL).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method signature is exported exactly as declared.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method implementation is provided by the runtime.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method is single-threaded through the body. Static methods (Shared in Visual Basic) lock on the type, whereas instance methods lock on the instance. You can also use the C# lock statement or the Visual Basic SyncLock statement for this purpose.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added

  Specifies that the method is implemented in unmanaged code.